wibble::list::Singular< T > Struct Template Reference

`#include <list.h>`

Collaboration diagram for wibble::list::Singular< T >:
[legend]

## Public Types

typedef T | Type

## Public Member Functions

| Singular ()
| Singular (T i)
T | head () const
bool | empty () const
Singular | tail () const

## Public Attributes

T | m_value
bool | m_empty

## Member Typedef Documentation

template<typename T >

typedef T wibble::list::Singular< T >::Type

## Constructor & Destructor Documentation

template<typename T >

wibble::list::Singular< T >::Singular | ( |  | ) |

inline

Referenced by wibble::list::Singular< T >::tail().

template<typename T >

wibble::list::Singular< T >::Singular | ( | T | i | ) |

inline

## Member Function Documentation

template<typename T >

bool wibble::list::Singular< T >::empty | ( |  | ) | const

inline

References wibble::list::Singular< T >::m_empty.

template<typename T >

T wibble::list::Singular< T >::head | ( |  | ) | const

inline

References wibble::list::Singular< T >::m_value.

template<typename T >

Singular wibble::list::Singular< T >::tail | ( |  | ) | const

inline

References wibble::list::Singular< T >::Singular().

## Member Data Documentation

template<typename T >

bool wibble::list::Singular< T >::m_empty

Referenced by wibble::list::Singular< T >::empty().

template<typename T >

T wibble::list::Singular< T >::m_value

Referenced by wibble::list::Singular< T >::head().

The documentation for this struct was generated from the following file:

- list.h